# Draw
TKDCAF
DDF

# DDF_AttributeBrowser Class Reference

`#include <DDF_AttributeBrowser.hxx>`

## Public Member Functions

Standard_EXPORT | DDF_AttributeBrowser (Standard_Boolean(*test)(const Handle(TDF_Attribute)&), TCollection_AsciiString(*open)(const Handle(TDF_Attribute)&), TCollection_AsciiString(*text)(const Handle(TDF_Attribute)&))
Standard_Boolean | Test (const Handle(TDF_Attribute)&anAtt) const
TCollection_AsciiString | Open (const Handle(TDF_Attribute)&anAtt) const
TCollection_AsciiString | Text (const Handle(TDF_Attribute)&anAtt) const
DDF_AttributeBrowser * | Next ()

## Static Public Member Functions

static DDF_AttributeBrowser * | FindBrowser (const Handle(TDF_Attribute)&anAtt)

## Private Attributes

Standard_Boolean(* | myTest )(const Handle(TDF_Attribute)&)
TCollection_AsciiString(* | myOpen )(const Handle(TDF_Attribute)&)
TCollection_AsciiString(* | myText )(const Handle(TDF_Attribute)&)
DDF_AttributeBrowser * | myNext

## Constructor & Destructor Documentation

Standard_EXPORT DDF_AttributeBrowser::DDF_AttributeBrowser | ( | Standard_Boolean(*)(const Handle(TDF_Attribute)&) | test,
|  | TCollection_AsciiString(*)(const Handle(TDF_Attribute)&) | open,
|  | TCollection_AsciiString(*)(const Handle(TDF_Attribute)&) | text
| ) |

## Member Function Documentation

static DDF_AttributeBrowser* DDF_AttributeBrowser::FindBrowser | ( | const Handle(TDF_Attribute)& | anAtt | ) | `[static]`

DDF_AttributeBrowser* DDF_AttributeBrowser::Next | ( |  | ) | `[inline]`

TCollection_AsciiString DDF_AttributeBrowser::Open | ( | const Handle(TDF_Attribute)& | anAtt | ) | const

Standard_Boolean DDF_AttributeBrowser::Test | ( | const Handle(TDF_Attribute)& | anAtt | ) | const

TCollection_AsciiString DDF_AttributeBrowser::Text | ( | const Handle(TDF_Attribute)& | anAtt | ) | const

## Field Documentation

DDF_AttributeBrowser* DDF_AttributeBrowser::myNext `[private]`

TCollection_AsciiString(* DDF_AttributeBrowser::myOpen)(const Handle(TDF_Attribute)&)`[private]`

Standard_Boolean(* DDF_AttributeBrowser::myTest)(const Handle(TDF_Attribute)&)`[private]`

TCollection_AsciiString(* DDF_AttributeBrowser::myText)(const Handle(TDF_Attribute)&)`[private]`

The documentation for this class was generated from the following file:

- DDF_AttributeBrowser.hxx